"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconTriangle = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M1.59338 12.0655L7.07663 2.59439C7.37968 2.07095 7.5312 1.80923 7.72889 1.72132C7.90133 1.64465 8.09818 1.64465 8.27062 1.72132C8.46831 1.80923 8.61983 2.07095 8.92288 2.59439L14.4061 12.0655C14.7103 12.5908 14.8623 12.8535 14.8399 13.069C14.8203 13.2571 14.7217 13.4279 14.5688 13.5391C14.3935 13.6666 14.09 13.6666 13.483 13.6666H2.5165C1.90948 13.6666 1.60597 13.6666 1.43067 13.5391C1.27776 13.4279 1.17925 13.2571 1.15965 13.069C1.13717 12.8535 1.28924 12.5908 1.59338 12.0655Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconTriangle);
const Triangle = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Triangle", props.className].join(" ")
    }
  );
});
Triangle.displayName = "IconTriangle";
exports.default = Triangle;
